Bug 1274924 - I cant' connect to Remote Desktop and/or Public folders
I cant' connect to Remote Desktop and/or Public folders
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
: 1268602 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 17:16 EDT by antonio montagnani
Modified: 2016-12-20 10:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:08:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of iptables -l -n -v (11.84 KB, text/plain)
2015-10-28 13:17 EDT, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2015-10-23 17:16:30 EDT
Description of problem:
From one of my Pc I can't connect to my laptop

Version-Release number of selected component (if applicable):
0.6.31-43

How reproducible:
always after a while on a computer

Steps to Reproduce:
1.fire the Pc
2.in Vinagre discover remote desktops and try to connect
3.

Actual results:
Fallimento risolutore Avahi: Raggiunto il timeout (Failure of Avahi resolver: timeout)

Expected results:
connect

Additional info:
avahi-browse -a 
+ virbr0 IPv4 antonio's remote desktop on pcdesktop1        Controllo remoto VNC local
+  p19p1 IPv4 antonio's remote desktop on pcdesktop1        Controllo remoto VNC local
+ virbr0 IPv4 antonio's public files on pcdesktop1          WebDAV Condivisione File local
+  p19p1 IPv4 antonio's public files on pcdesktop1          WebDAV Condivisione File local
+ virbr0 IPv4 pcdesktop1                                    Sito Web             local
+  p19p1 IPv4 pcdesktop1                                    Sito Web             local
+ virbr0 IPv4 Samsung ML-1610 @ pcdesktop1                  Internet Printer     local
+  p19p1 IPv4 Samsung ML-1610 @ pcdesktop1                  Internet Printer     local
+ virbr0 IPv4 Samsung ML-1610 @ pcdesktop1                  _ipps._tcp           local
+  p19p1 IPv4 Samsung ML-1610 @ pcdesktop1                  _ipps._tcp           local
+ virbr0 IPv4 Samsung ML-1610 @ pcdesktop1                  Stampante UNIX       local
+  p19p1 IPv4 Samsung ML-1610 @ pcdesktop1                  Stampante UNIX       local
+ virbr0 IPv4 pcdesktop1                                    Remote Disk Management local
+  p19p1 IPv4 pcdesktop1                                    Remote Disk Management local
+  p19p1 IPv4 antonio's remote desktop on Fujiantonio       Controllo remoto VNC local
+  p19p1 IPv4 Fujiantonio                                   Remote Disk Management local
+  p19p1 IPv4 CUPS-PDF @ Fujiantonio                        Stampante UNIX       local
+  p19p1 IPv4 CUPS-PDF @ Fujiantonio                        _ipps._tcp           local
+  p19p1 IPv4 CUPS-PDF @ Fujiantonio                        Internet Printer     local
+  p19p1 IPv4 Fujiantonio                                   Sito Web             local
+  p19p1 IPv4 antonio's public files on Fujiantonio         WebDAV Condivisione File local
Comment 1 antonio montagnani 2015-10-23 17:24:39 EDT
when I try to connect to public files on Fujiantonio in Nautilus/Network I get:

Tempo scaduto nel risolvere «_webdav._tcp» per il servizio «antonio's public files on Fujiantonio» sul dominio «local»

Timeout in resolving «_webdav._tcp» for service «antonio's public files on Fujiantonio» on domain «local»

with reference to prevoius comment I cant't connect also from Fujantonio to pcdesktop1 but I can connect to public shares.

But if I restart avahi-daemon on pcdesktop1 it works!!!
Comment 2 antonio montagnani 2015-10-24 02:09:56 EDT
firing up the computers:

Desktop1:
avahi-browse -a 
+ virbr0 IPv4 antonio's remote desktop on pcdesktop1        Controllo remoto VNC local
+  p19p1 IPv4 antonio's remote desktop on pcdesktop1        Controllo remoto VNC local
+ virbr0 IPv4 antonio's public files on pcdesktop1          WebDAV Condivisione File local
+  p19p1 IPv4 antonio's public files on pcdesktop1          WebDAV Condivisione File local
+ virbr0 IPv4 pcdesktop1                                    Sito Web             local
+  p19p1 IPv4 pcdesktop1                                    Sito Web             local
+ virbr0 IPv4 Samsung ML-1610 @ pcdesktop1                  Internet Printer     local
+  p19p1 IPv4 CUPS-PDF @ Fujiantonio                        Internet Printer     local
+  p19p1 IPv4 Samsung ML-1610 @ pcdesktop1                  Internet Printer     local
+ virbr0 IPv4 Samsung ML-1610 @ pcdesktop1                  _ipps._tcp           local
+  p19p1 IPv4 CUPS-PDF @ Fujiantonio                        _ipps._tcp           local
+  p19p1 IPv4 Samsung ML-1610 @ pcdesktop1                  _ipps._tcp           local
+ virbr0 IPv4 Samsung ML-1610 @ pcdesktop1                  Stampante UNIX       local
+  p19p1 IPv4 CUPS-PDF @ Fujiantonio                        Stampante UNIX       local
+  p19p1 IPv4 Samsung ML-1610 @ pcdesktop1                  Stampante UNIX       local
+ virbr0 IPv4 pcdesktop1                                    Remote Disk Management local
+  p19p1 IPv4 Fujiantonio                                   Remote Disk Management local
+  p19p1 IPv4 pcdesktop1                                    Remote Disk Management local


but on the laptop:

[antonio@Fujiantonio ~]$ avahi-browse -a
+ virbr0 IPv4 antonio's public files on Fujiantonio         WebDAV Condivisione File local
+ wlp1s0 IPv4 antonio's public files on Fujiantonio         WebDAV Condivisione File local
+ wlp1s0 IPv4 antonio's public files on pcdesktop1          WebDAV Condivisione File local
+ virbr0 IPv4 Fujiantonio                                   Sito Web             local
+ wlp1s0 IPv4 Fujiantonio                                   Sito Web             local
+ wlp1s0 IPv4 pcdesktop1                                    Sito Web             local
+ virbr0 IPv4 antonio's remote desktop on Fujiantonio       Controllo remoto VNC local
+ wlp1s0 IPv4 antonio's remote desktop on Fujiantonio       Controllo remoto VNC local
+ wlp1s0 IPv4 antonio's remote desktop on pcdesktop1        Controllo remoto VNC local
+ virbr0 IPv4 CUPS-PDF @ Fujiantonio                        Internet Printer     local
+ wlp1s0 IPv4 Samsung ML-1610 @ pcdesktop1                  Internet Printer     local
+ wlp1s0 IPv4 CUPS-PDF @ Fujiantonio                        Internet Printer     local
+ virbr0 IPv4 CUPS-PDF @ Fujiantonio                        _ipps._tcp           local
+ wlp1s0 IPv4 Samsung ML-1610 @ pcdesktop1                  _ipps._tcp           local
+ wlp1s0 IPv4 CUPS-PDF @ Fujiantonio                        _ipps._tcp           local
+ virbr0 IPv4 CUPS-PDF @ Fujiantonio                        Stampante UNIX       local
+ wlp1s0 IPv4 CUPS-PDF @ Fujiantonio                        Stampante UNIX       local
+ virbr0 IPv4 Fujiantonio                                   Remote Disk Management local
+ wlp1s0 IPv4 Fujiantonio                                   Remote Disk Management local
Comment 3 antonio montagnani 2015-10-24 02:16:19 EDT
funny:

if I connect using IP's, on top of Vinagre I get antonio@Fujiantonio-Remote desktop viewer, ie names are resoved as expected
Comment 4 antonio montagnani 2015-10-24 02:38:20 EDT
stopping firewall on both machines seems to improve situation
Comment 5 antonio montagnani 2015-10-24 02:41:40 EDT
as soon as I restart firewall I get the usual Fallimento risolutore Avahi: Raggiunto il timeout
Comment 6 antonio montagnani 2015-10-28 05:13:57 EDT
funny test with printer:

1) first test document was printed fine from remote laptop
2) second document after a while it said that same printer is offline and can't be localized,

Firewall are running on both computers...

[root@Fujiantonio antonio]# firewall-cmd --list-all-zones
	
FedoraWorkstation (default, active)
  interfaces: p2p1 wlp1s0
  sources: 
  services: dhcpv6-client dns ipp ipp-client mdns samba-client ssh
  ports: 1025-65535/udp 1025-65535/tcp
  masquerade: no
  forward-ports: 
  icmp-blocks: 
  rich rules: 


[antonio@pcdesktop1 ~]$ firewall-cmd --list-all-zones
FedoraServer
  interfaces: 
  sources: 
  services: dhcpv6-client ssh
  ports: 
  masquerade: no
  forward-ports: 
  icmp-blocks: 
  rich rules: 
	
FedoraWorkstation (default, active)
  interfaces: p19p1
  sources: 
  services: dhcpv6-client dns ipp ipp-client mdns samba-client ssh
  ports: 1025-65535/udp 1025-65535/tcp
  masquerade: no
  forward-ports: 
  icmp-blocks: 
  rich rules: 


the only stable setup is to stop firewalld and restart avahi-daemon on the destop (that is a Fedora 18 fedupped through all releases to F22
Comment 7 antonio montagnani 2015-10-28 06:10:40 EDT
at this point, I suppose that component to be blamed is firewalld...waiting for suggestions how to debug
Comment 8 antonio montagnani 2015-10-28 13:17 EDT
Created attachment 1087295 [details]
output of iptables -l -n -v

I guess that is a problem with iptables....
Comment 9 antonio montagnani 2015-10-29 04:35:41 EDT
another clue: firewalld.conf has a link to firewalld-workstation.conf on Fujiantonio i.e.

[root@Fujiantonio antonio]# ls -la /etc/firewalld/firewalld.conf
lrwxrwxrwx. 1 root root 26  9 dic  2014 /etc/firewalld/firewalld.conf -> firewalld-workstation.conf

but on the desktop

[root@pcdesktop1 antonio]# ls -la /etc/firewalld/firewalld.conf
-rw-r--r--. 1 root root 1024 28 ott 16.29 /etc/firewalld/firewalld.conf

please note that desktop has been fedup-ed many times (I think at least from F18)
Comment 10 antonio montagnani 2015-10-29 16:20:07 EDT
some thoughts:

On my small network with 2 Fedoras, one of them is experiencing something that prevents from Public Files sharing connection (Tempo scaduto nel risolvere «_webdav._tcp» per il servizio «antonio's public files on fujitsu» sul dominio «local») but  systemctl restart -l avahi-daemon.service makes it work again (similar issue with desktop sharing)...please note that working with IP is fine..and printer seems not to have any issue (it is the main reason why I changed again the component from firewalld to avahi..). I don't know if avahi crashes completely or it is a malfunction .

This bos has been updated from F18 to F22 at every release of Fedora ;-)
Comment 11 antonio montagnani 2015-10-30 03:24:30 EDT
please note the last lines when I can't connect to the remote desktop fujitsu

avahi-discover
Browsing domain 'local' on -1.-1 ...
Browsing for services of type '_webdav._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_http._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_rfb._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_ipp._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_ipps._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_printer._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_printer._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_ipps._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_ipp._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_rfb._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_http._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_webdav._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_udisks-ssh._tcp' in domain 'local' on 2.0 ...
Browsing domain 'homenet.telecomitalia.it' on -1.-1 ...
Found service 'antonio's public files on pcdesktop1' of type '_webdav._tcp' in domain 'local' on 3.0.
Found service 'pcdesktop1' of type '_http._tcp' in domain 'local' on 3.0.
Found service 'antonio's remote desktop on pcdesktop1' of type '_rfb._tcp' in domain 'local' on 3.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_ipp._tcp' in domain 'local' on 3.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_ipps._tcp' in domain 'local' on 3.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_printer._tcp' in domain 'local' on 3.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_printer._tcp' in domain 'local' on 2.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_ipps._tcp' in domain 'local' on 2.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_ipp._tcp' in domain 'local' on 2.0.
Found service 'antonio's remote desktop on fujitsu' of type '_rfb._tcp' in domain 'local' on 2.0.
Found service 'antonio's remote desktop on pcdesktop1' of type '_rfb._tcp' in domain 'local' on 2.0.
Found service 'pcdesktop1' of type '_http._tcp' in domain 'local' on 2.0.
Found service 'antonio's public files on fujitsu' of type '_webdav._tcp' in domain 'local' on 2.0.
Found service 'antonio's public files on pcdesktop1' of type '_webdav._tcp' in domain 'local' on 2.0.
Service 'antonio's remote desktop on fujitsu' of type '_rfb._tcp' in domain 'local' on 2.0 disappeared.
Comment 12 antonio montagnani 2015-10-30 03:27:58 EDT
and after re-issuing systemctl restart -l avahi-daemon.service

avahi-discover
Browsing domain 'local' on -1.-1 ...
Browsing for services of type '_webdav._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_http._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_rfb._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_ipp._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_ipps._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_printer._tcp' in domain 'local' on 3.0 ...
Browsing for services of type '_udisks-ssh._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_webdav._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_http._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_rfb._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_ipp._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_ipps._tcp' in domain 'local' on 2.0 ...
Browsing for services of type '_printer._tcp' in domain 'local' on 2.0 ...
Browsing domain 'homenet.telecomitalia.it' on -1.-1 ...
Found service 'antonio's public files on pcdesktop1' of type '_webdav._tcp' in domain 'local' on 3.0.
Found service 'pcdesktop1' of type '_http._tcp' in domain 'local' on 3.0.
Found service 'antonio's remote desktop on pcdesktop1' of type '_rfb._tcp' in domain 'local' on 3.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_ipp._tcp' in domain 'local' on 3.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_ipps._tcp' in domain 'local' on 3.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_printer._tcp' in domain 'local' on 3.0.
Found service 'antonio's public files on fujitsu' of type '_webdav._tcp' in domain 'local' on 2.0.
Found service 'antonio's public files on pcdesktop1' of type '_webdav._tcp' in domain 'local' on 2.0.
Found service 'pcdesktop1' of type '_http._tcp' in domain 'local' on 2.0.
Found service 'antonio's remote desktop on pcdesktop1' of type '_rfb._tcp' in domain 'local' on 2.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_ipp._tcp' in domain 'local' on 2.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_ipps._tcp' in domain 'local' on 2.0.
Found service 'Samsung ML-1610 @ pcdesktop1' of type '_printer._tcp' in domain 'local' on 2.0.
Found service 'fujitsu' of type '_udisks-ssh._tcp' in domain 'local' on 2.0.
Found service 'CUPS-PDF @ fujitsu' of type '_printer._tcp' in domain 'local' on 2.0.
Found service 'CUPS-PDF @ fujitsu' of type '_ipps._tcp' in domain 'local' on 2.0.
Found service 'CUPS-PDF @ fujitsu' of type '_ipp._tcp' in domain 'local' on 2.0.
Found service 'antonio's remote desktop on fujitsu' of type '_rfb._tcp' in domain 'local' on 2.0.
Found service 'fujitsu' of type '_http._tcp' in domain 'local' on 2.0.
Comment 13 antonio montagnani 2015-10-30 03:49:10 EDT
and I find strange that in/etc/avahi/services I have nothing....in particular no udisks.service
Comment 14 antonio montagnani 2015-10-31 17:38:32 EDT
 fresh installation on two machines.
I confirm that when firewall is disabled I can connect to Personal File sharing and Remote desktop using discovered names (and also sftp protocol), but if they are enabled very strange behaviour, no Personal File Sharing, 

Furthermore printer (that is shareable) is never  broadcasted on the network, maybe a separate issue
Comment 15 antonio montagnani 2015-11-04 03:15:56 EST
now I am running fully updated Fedora 23's
Comment 16 antonio montagnani 2015-11-04 12:21:40 EST
*** Bug 1268602 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2016-11-24 07:53:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 10:08:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.